 mongoose = require('mongoose').set('debug', false)
const Schema = mongoose.Schema;

const tools = require('../tools/general');

mongoose.Promise = global.Promise;
mongoose.level = "F";


// Resolving error Unknown modifier: $pushAll
mongoose.plugin(schema => {
  schema.options.usePushEach = true
});

const ShareWithUsSchema = new Schema({
  idapp: {
    type: String,
  },
  userId: {
    type: String,
  },
  description: {
    type: String,
  },
  numshared: {
    type: Number,
  },
  rating: {
    type: Number,
  },
});

var ShareWithUs = module.exports = mongoose.model('ShareWithUs', ShareWithUsSchema);

module.exports.getFieldsForSearch = function () {
  return [{field: 'description', type: tools.FieldType.string}]
};

module.exports.executeQueryTable = function (idapp, params) {
  params.fieldsearch = this.getFieldsForSearch();
  return tools.executeQueryTable(this, idapp, params);
};

module.exports.findAllIdApp = async function (idapp) {
  const myfind = { idapp };

  return await ShareWithUs.find(myfind);
};

module.exports.createIndexes()
  .then(() => { })
  .catch((err) => { throw err; });

